package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author: cy
 * @Date: 2022/5/26
 */
@ApiModel
public class CourseStudentVo implements Serializable {
    @ApiModelProperty("用户")
    private String userId;
    @ApiModelProperty("昵称")
    private String userName;
    @ApiModelProperty("真实姓名")
    private String realName;
    @ApiModelProperty("头像地址")
    private String avatar;
    @ApiModelProperty("声部")
    private String subjectName;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("最近结课日期(天)")
    private Integer lastEndClass;

    public Integer getLastEndClass() {
        return lastEndClass;
    }

    public void setLastEndClass(Integer lastEndClass) {
        this.lastEndClass = lastEndClass;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}

